Changeset 2622450 for perl


Ignore:
Timestamp:
Mar 18, 2007, 4:28:23 PM (14 years ago)
Author:
Nelson Elhage <nelhage@mit.edu>
Branches:
master, barnowl_perlaim, debian, release-1.4, release-1.5, release-1.6, release-1.7, release-1.8, release-1.9
Children:
2cedb7a
Parents:
4dd6e58
git-author:
Nelson Elhage <nelhage@mit.edu> (03/17/07 14:48:22)
git-committer:
Nelson Elhage <nelhage@mit.edu> (03/18/07 16:28:23)
Message:
Report more errors when something goes wrong
File:
1 edited

Legend:

Unmodified
Added
Removed
  • perl/lib/BarnOwl/ModuleLoader.pm

    r0337203 r2622450  
    2323    }
    2424    for my $class (keys %modules) {
    25         if(defined eval "use BarnOwl::Module::$class") {
     25        if(!defined eval "use BarnOwl::Module::$class") {
     26            BarnOwl::error("Unable to load module $class: $!") if $!;
    2627            BarnOwl::error("Unable to load module $class: $@") if $@;
    2728        }
Note: See TracChangeset for help on using the changeset viewer.